from tables import Player
from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker, relationship

engine = create_engine('mysql+pymysql://root:lhr@192.168.0.210:3306/test')

DBSession = sessionmaker(bind=engine)
# 创建 session 对象:
session = DBSession()

# 创建 Player 对象:
new_player = Player(team_id = 1003, player_name = " 约翰 - 科林斯 ", height = 2.08)
# 添加到 session:
session.add(new_player)
# 提交即保存到数据库:
session.commit()

# 查询身高 >=2.08 的球员有哪些
rows = session.query(Player).filter(Player.height >= 2.08).all()
print([row.to_dict() for row in rows])

'''
e1 = session.query(User).filter_by(id=3).first()

# 在 User 实例对象中调用 UserRole 的属性
print(e1.name, e1.UserRole.role)

e1 = session.query(User).filter_by(id=7).first()

# 在用户的实例对象中查询对应的权限。因为一个用户可能有多个权限，因此返回一个list
print([x.authority for x in e1.UserRole.UserAuthority])
'''

# 关闭 session:
session.close()

